---
title: Vladyslav Yanchenko
published: true
taxonomy:
    category: [bp2025]
    tag: [klaud]
    author: Daniel Hladek
---


rok začiatku štúdia: 2022

# Bakalárska práca 2025

Názov: 

Kontinuálne nasadenie a testovanie aplikácie v klaudovom prostredí. 

Úlohy BP:

1. Vypracujte písomný prehľad verejných klaudových služieb a softvérových prosriedkov  pre podporu  procesu a nasadenia aplikácie.
2. Vytvorte a opíšte webovú aplikáciu zloženú z viacerých komponentov a upravte ju do podoby vhodnej na nasadenie v klaude. K aplikácii vytvorte automatické testy.
3. Vytvorte a opíšte proces kontinuálneho nasadenia a integrácie zmien do Vašej aplikácie pomocou vybraných klaudových služieb. 
4. Navrhnite zlepšenia Vášho procesu tak, aby bolo možné aplikáciu vylepšovať a udržiavať v prostredí softvérovej firmy.


Vedúci: doc. Matúš Pleva PhD.

Nápad:

- Vytvoriť webovú aplikáciu s použitím Spring Boot, využitie klaudovej databázy Azure a klaudového úložiska. realizovať JWT, využiť CI CD.

Stretnutie 31.1.2025

Stav:

- Zmena funkcionality
- Problémy pri nasadení - pomocou GitHUb Action, containers. Na kubernetes klaster, lokálny.
- Problém je s vlastnými K8s skriptami.
- Práca na písomnej časti.

Úlohy:

- Pracujte na písomnej časti.
- Opravte K8S skripty.

Stretnutie 23.1.

Stav:

- Kód na zmenu hesla, auth JWT token.
- komunikácia medzi frontendom a backendom cez API, ath. cez JWT.


Stretnutie 13.12.2024

Stav:

- CI-CD GIT HUB pipeline pre backend aj frontend.
- Dockerfile je, zatiaľ to nefunguje s Azure Cloud, funguje lokalne. Registry zatiaľ nefunguje.
- Auth cez JWT Token do LocalStorage.
- Vyskúšaný Docker Compose, zatiaľ nefunguje na lokálny klaster.


Úlohy:

- Zistiť čo je Registry a ako to funguje.


Stretnutie 8.11.2024

Stav:

- Backend SpringBoot, frontend React-Next.js.
- Urobená základná autentifikácia pomocou HTTP Basic Auth.
- Vyskúšaná kontajnerizácia.
- Kódy sú na GitHUBe. https://github.com/MrSid333/bankapp.git
- Aktivované Azure a Azure PostgreSQL aj úložisko. Zatiaľ nie je prepojené.  úložisko.
- Naštudované GITHUB CI-CD.
- Nainštalované minikube.
- Práca na textoch.

Úlohy:

- Pokračujte v otvorených úlohách. 
- Vytvorte nasadenie aplikácie pomocou Kubernetes.
- Napíšte automatické testy a zostavte Github CI-CD pipeline. 
- Zistite aké obmedzenia má GitHUB Pipeline.
- Píšte BP pošlite mi draft.

Zásobník úloh:

- Vytvorte nasadenie Vašej aplikácie do Azure a skritpy pre nasadenie dajte na GitHUB. Dávajte pozor aby ste nezverejnili Vaše prístupové údaje.
- Napíšte článok do "online média" o CI CD v klaude vo forme tutoriálu pre študentov. Z tutoriálu sa študent dozvie, čo je to CI CD, ako to vytvoriť pre konkretny projekt na GITHUbe.
- Zostavte pipeline pomocou iného nástroja (Azure, Jenkins) a porovnajte ich.



Stretnutie 3.10.2024

Úlohy:

-	[x] Preštudujte si platformu Kubernetes. Napíšte čo je to. Napíšte čo je to kontajnerizácia.
-	[x] Nainštalujte si microk8s. Aktivujte si MS Azure a naučte sa to používať.
-	[x] Vytvorte webovú aplikáciu, kotrá sa bude zkladať z viacerých mikroslužieb a bude využívať klaudové úložisko.
-	Napíšte čo je to CI CD a na čo sa využíva. Zistitie aké CI CD nástroje existujú. Vyberte si vhodný nástroj. Napr. GIT HUB, aleo GitLAB, alebo Jenkins. Alebo použite pipeline z Azure.
-	Ku aplikácii navrhnite niekoľko automatických testov.
-	Zostavte CI CD Pipeline pre automatické zostavenie a testovanie aplikácie



